gmp_nextprime
gmp_perfect_square
GMP Functions
PHP Manual

# gmp_or

(PHP 4 >= 4.0.4, PHP 5)

gmp_or — Bitwise OR

### Description

resource gmp_or ( resource `$a` , resource `$b` )

Calculates bitwise inclusive OR of two GMP numbers.

### Parameters

`a`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`b`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

### Return Values

A GMP number resource.

### Examples

Example #1 gmp_or() example

`<?php
$or1 = gmp_or("0xfffffff2", "4");
echo gmp_strval($or1, 16) . "\n";
$or2 = gmp_or("0xfffffff2", "2");
echo gmp_strval($or2, 16) . "\n";
?>`

The above example will output:

    fffffff6
    fffffff2

gmp_nextprime
gmp_perfect_square
GMP Functions
PHP Manual